<div class="container">
    <header class="pageHeader">
        <h3><i class="fa fa-handshake-o fa-lg page-caption" aria-hidden="true"></i> {{'pageHeader.Cashier' | translate}}</h3>
    </header>

    <div [@fadeInOut]>
        <form class="form-horizontal" role="form" method="POST" name="orderForm" #f="ngForm" novalidate
                    (ngSubmit)="f.form.valid ? createOrder() :
            (!customerName.valid);
            (!customerPhone.valid)">

            <div class="row">
                <div class="col-md-3"></div>
                <div class="col-md-6">
                    <h2>Create new order</h2>
                    <hr>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3 field-label-responsive">
                    <label for="customerName">Customer Name</label>
                </div>
                <div class="col-md-6">
                    <div class="form-group" [ngClass]="{'has-success': f.submitted && customerName.valid, 'has-error' : f.submitted && !customerName.valid}">
                        <div class="input-group mb-2 mr-sm-2 mb-sm-0">
                            <div class="input-group-addon" style="width: 2.6rem"><i class="fa fa-user"></i></div>
                            <input type="text" name="customerName" class="form-control" id="customerName"
                                   [(ngModel)]="order.CustomerName" #customerName="ngModel"
                                    placeholder="John Doe" required autofocus>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-control-feedback">
                        <span class="text-danger align-middle">
                        </span>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3 field-label-responsive">
                    <label for="customerPhone">Customer Phone</label>
                </div>
                <div class="col-md-6">
                    <div class="form-group" [ngClass]="{'has-success': f.submitted && customerPhone.valid, 'has-error' : f.submitted && !customerPhone.valid}">
                        <div class="input-group mb-2 mr-sm-2 mb-sm-0">
                            <div class="input-group-addon" style="width: 2.6rem"><i class="fa fa-phone"></i></div>
                            <input type="text" name="customerPhone" class="form-control" id="customerPhone"
                                    [(ngModel)]="order.CustomerPhone" #customerPhone="ngModel" 
                                    placeholder="XXX-XXX-XXXX" required>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-control-feedback">
                        <span class="text-danger align-middle">
                        </span>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3 field-label-responsive">
                    <label for="pizza">Pizzas</label>
                </div>
                <div class="col-md-5">
                    <div class="form-group has-danger">
                        <div class="input-group mb-2 mr-sm-2 mb-sm-0">
                            <div class="input-group-addon" style="width: 2.6rem"><i class="fa fa-shopping-cart"></i></div>

                            <div class="input-group" *ngFor="let item of order.Pizzas; let i = index">
                                <select class="form-control" name="customerPizzas" id="customerPizzas" required [(ngModel)]="order.Pizzas[i]">
                                    <option *ngFor="let item of pizzas; let i = index" [ngValue]="item">{{item.name}} ({{item.ingredients}})</option>
                                </select>
                                <span *ngIf="i != 0" class="input-group-addon"><i (click)="minus($event, i)" class="fa fa-minus"></i></span>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="col-md-1">
                    <button type="button" class="btn btn-default pull-right" (click)="add()"><i class="fa fa-plus"></i></button>
                </div>

            </div>
            <div class="row">
                <div class="col-md-3"></div>
                <div class="col-md-6">
                    <button type="submit" class="btn btn-success"><i class="fa fa-user-plus"></i> Submit Order</button>
                </div>
            </div>
        </form>

    </div>
</div>
